Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs
(1 edit)

In case you're still looking for a solution or someone else is running into the same issue, you need to install the 32-bit version of the missing libraries. On Debian based distributions, you can do this by appending ":i386" to the end of the package name when installing at the terminal. Hope this helps!